Name:           libqwt5  
BuildRequires:  gcc-c++ libpng-devel qt-devel xorg-x11-devel freetype2-devel  
License:        LGPL v2 or later
Group:          Development/Libraries/C and C++  
Summary:    	Qt Widgets for Technical Applications  
Url: 		http://http://qwt.sourceforge.net/
Version:        5.1.1
Release:        4.10
BuildRoot:      %{_tmppath}/%{name}-%{version}-build  
Source:         qwt-%{version}.tar.bz2  
Group:      Development/Libraries/C and C++  
Requires:       %{name} = %{version}-%{release}  

%package devel  
Summary:    Qt Designer plugin and example programs for Qwt  
Group:      Development/Libraries/C and C++  
Requires:       %{name} = %{version}-%{release}    

%description  
The Qwt library contains GUI Components and utility classes which are  
primarily useful for programs with a technical background. Beside a 2D  
plot widget it provides scales, sliders, dials, compasses, thermometers,  
wheels and knobs to control or display values, arrays, or ranges of type  
double.  
  
Authors  
-------  
  Uwe Rathmann <rathmann@users.sourceforge.net>  
  Josef Wilgen ( <= Qwt 0.2 )  

%description devel  
This package contains the plugin for the Qt Designer in order to create  
Qt applications using the Qwt widgets. It also contains example programs   
demonstrating the Qwt widgets.
  
  
%prep  
%setup -q -n qwt-%{version}  
  
%build  
# Setup the install paths  
%{__sed} -e 's|INSTALLBASE.*=.*$|INSTALLBASE = %{_prefix}|g' -i qwtconfig.pri  
%{__sed} -e 's|target.path.*=.*\$\$INSTALLBASE/lib|target.path = %{_libdir}|g' -i qwtconfig.pri  
%{__sed} -e 's|headers.path.*=.*\$\$INSTALLBASE/include|headers.path = %{_includedir}/qwt|g' -i qwtconfig.pri  
# Now build the qwt5 library  
qmake  
%{__make} %{?jobs:-j%{jobs}}  
  
%install  
%__make DESTDIR=%{buildroot} install INSTALL_ROOT=%{buildroot}  
%{__rm} -rfv %{buildroot}/%{_prefix}/doc/man/man3/todo.3  
%{__mkdir} -p %{buildroot}/%{_mandir}  
%{__mv} -v %{buildroot}/%{_prefix}/doc/man/man3 %{buildroot}/%{_mandir}/  
%{__rm} -rfv %{buildroot}/%{_prefix}/doc  
  
%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig
  
%clean  
#rm -rf %{buildroot}  
  
%files  
%defattr(-,root,root)  
%doc COPYING CHANGES README INSTALL  
%{_libdir}/libqwt.so.*
  
%files devel  
%defattr(-,root,root)  
%{_libdir}/qt*/plugins/designer/*.so  
%{_libdir}/libqwt*.so  
%{_libdir}/qt4/*
%dir %{_includedir}/qwt
%{_includedir}/qwt/*.h  
%{_mandir}/man3/*.gz  
%doc examples

%changelog
* Sun Dec 21 2008 Bastian Friedrich <bastian@bastian-friedrich.de> 5.1.1
- New start of package based on tpatzig's version of the package

